Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.portal.theme.tag
Class RegionTagHandler

    java.lang.Object
      javax.servlet.jsp.tagext.SimpleTagSupport
          org.jboss.portal.theme.tag.RegionTagHandler

All Implemented Interfaces:
  javax.servlet.jsp.tagext.JspTag, javax.servlet.jsp.tagext.SimpleTag

    public class RegionTagHandler

extends javax.servlet.jsp.tagext.SimpleTagSupport

Tag handler for the region tag.

A region represents a subsection of a portal page. A region can host several portlets. The portlets can be arranged horizontally or vertically. The region tag utilizes a render set to create the markup around the individual portlets.

Version:
  $LastChangedRevision: 8784 $, $LastChangedDate: 2007-10-28 01:01:46 +0200 (Sun, 28 Oct 2007) $
Author:
  Roy Russo
See Also:
  `PortalRenderSet`

Constructor Summary
`RegionTagHandler()`

Method Summary
`void` | `doTag()` create the markup of this tag
`void` | `setOrientation(java.lang.String orientation)` Attribute handler for the orientation attribute of this tag
`void` | `setRegionID(java.lang.String regionID)` Attribute handler for the region id attribute of this tag
`void` | `setRegionName(java.lang.String regionName)` Attribute handler for the region name attribute of this tag

Methods inherited from class javax.servlet.jsp.tagext.SimpleTagSupport
`findAncestorWithClass, getJspBody, getJspContext, getParent, setJspBody, setJspContext, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RegionTagHandler

    public RegionTagHandler()

Method Detail

### doTag

    public void doTag()
               throws javax.servlet.jsp.JspException,
                      java.io.IOException

  create the markup of this tag

  Specified by:
    `doTag` in interface `javax.servlet.jsp.tagext.SimpleTag`
  Overrides:
    `doTag` in class `javax.servlet.jsp.tagext.SimpleTagSupport`
  Throws:
    `javax.servlet.jsp.JspException`
    `java.io.IOException`

### setOrientation

    public void setOrientation(java.lang.String orientation)

  Attribute handler for the orientation attribute of this tag

  Parameters:
    `orientation` - the orientation attribute value set in the hosting jsp

### setRegionName

    public void setRegionName(java.lang.String regionName)

  Attribute handler for the region name attribute of this tag

  Parameters:
    `regionName` - the name of the region this tag should render the markup for

### setRegionID

    public void setRegionID(java.lang.String regionID)

  Attribute handler for the region id attribute of this tag

  The region Id can be used as the value of the id attribute of the region container tag. In case of the DivRenderer render set, this is the id attribute of the div tag that represents this region on the page.

  Parameters:
    `regionID` - the id attribute value to set for this tag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD